<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Tue Oct 29 10:47:15 CET 2019 -->
<title>XMLUtils</title>
<meta name="date" content="2019-10-29">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XMLUtils";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/XMLUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../utils/Utils.html" title="class in utils"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?utils/XMLUtils.html" target="_top">Frames</a></li>
<li><a href="XMLUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">utils</div>
<h2 title="Class XMLUtils" class="title">Class XMLUtils</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>utils.XMLUtils</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">XMLUtils</span>
extends java.lang.Object</pre>
<div class="block">Utility class for handling XML files and elements.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static java.util.List&lt;org.w3c.dom.Node&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/XMLUtils.html#getElementsByTagName-org.w3c.dom.Node-java.lang.String-">getElementsByTagName</a></span>(org.w3c.dom.Node&nbsp;node,
                    java.lang.String&nbsp;tagName)</code>
<div class="block">Get List of all elements with tag equals tagName from given node.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static org.w3c.dom.Document</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/XMLUtils.html#getXMLTree-org.eclipse.core.resources.IFile-">getXMLTree</a></span>(org.eclipse.core.resources.IFile&nbsp;file)</code>
<div class="block">Get XML tree as document from given IFile.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static org.w3c.dom.Document</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/XMLUtils.html#getXMLTreeFromFile-java.io.File-">getXMLTreeFromFile</a></span>(java.io.File&nbsp;file)</code>
<div class="block">Get XML tree as document from given IFile.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../utils/XMLUtils.html#saveXMLDocument-org.w3c.dom.Document-java.lang.String-">saveXMLDocument</a></span>(org.w3c.dom.Document&nbsp;document,
               java.lang.String&nbsp;filePath)</code>
<div class="block">Save XML tree at filePath.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getXMLTree-org.eclipse.core.resources.IFile-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXMLTree</h4>
<pre>public static&nbsp;org.w3c.dom.Document&nbsp;getXMLTree(org.eclipse.core.resources.IFile&nbsp;file)</pre>
<div class="block">Get XML tree as document from given IFile.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>file</code> - XML file</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>XML tree</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>javax.xml.parsers.ParserConfigurationException</code></dd>
</dl>
</li>
</ul>
<a name="getXMLTreeFromFile-java.io.File-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXMLTreeFromFile</h4>
<pre>public static&nbsp;org.w3c.dom.Document&nbsp;getXMLTreeFromFile(java.io.File&nbsp;file)</pre>
<div class="block">Get XML tree as document from given IFile.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>file</code> - XML file</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>XML tree</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>javax.xml.parsers.ParserConfigurationException</code></dd>
</dl>
</li>
</ul>
<a name="saveXMLDocument-org.w3c.dom.Document-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>saveXMLDocument</h4>
<pre>public static&nbsp;void&nbsp;saveXMLDocument(org.w3c.dom.Document&nbsp;document,
                                   java.lang.String&nbsp;filePath)</pre>
<div class="block">Save XML tree at filePath.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>document</code> - Document object</dd>
<dd><code>filePath</code> - file path</dd>
</dl>
</li>
</ul>
<a name="getElementsByTagName-org.w3c.dom.Node-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getElementsByTagName</h4>
<pre>public static&nbsp;java.util.List&lt;org.w3c.dom.Node&gt;&nbsp;getElementsByTagName(org.w3c.dom.Node&nbsp;node,
                                                                    java.lang.String&nbsp;tagName)</pre>
<div class="block">Get List of all elements with tag equals tagName from given node.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>node</code> - Starting node</dd>
<dd><code>tagName</code> - tag name as String</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>List of all nodes with given tagName</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/XMLUtils.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../utils/Utils.html" title="class in utils"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../index.html?utils/XMLUtils.html" target="_top">Frames</a></li>
<li><a href="XMLUtils.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
